<?php

class makecommercebanklinksModuleFrontController extends ModuleFrontController
{
    public function initContent()
    {
        parent::initContent();
        $valid_cart = $this->module->validateCart($this->context->cart->id);
        if(!$valid_cart) {
            Tools::redirect($this->context->link->getPageLink('order', true));
        }

        $method = $this->module->getPaymentMethod(Tools::getValue('method'));
		if (empty($method) || $method->type != MakeCommerce::TYPE_BANK) {
            Tools::redirect($this->context->link->getPageLink('order-opc.php', true));
        }

        $country = Tools::getValue('country');
        $transaction = $this->module->createTransaction($method, $country);
        $url = ($method->type == 'banklinks') ? $this->module->getBankUrlFromTransaction($transaction, $method->code) : null;

        if (!empty($url)) {
            Tools::redirectLink($url);
        }

        $this->context->smarty->assign(array(
            'banklink_msg' => $this->module->l('Something went wrong !', 'banklinks'),
            'msg_class' => 'danger'
        ));
        $this->setTemplate('final.tpl');
    }
}
